Incoming leads list

This method allows getting a list of the incoming leads in the account

Limitations
The method is available in accordance with the user’s rights.

Example request
The following example retrieves a list containing a single incoming lead:

curl --request GET \
     --url 'https://subdomain.kommo.com/api/v4/leads/unsorted?filter[uid]=98fb033cefde74f5de1a5d3980a2a2d108037' \

Response parameters

ParameterData typeDescription
uidstringUnique identifier of the incoming lead
source_uidstringUnique identifier of the incoming lead source, generated by the integration
source_namestringName of the incoming lead source
categorystringIncoming lead category. Possible values: sip, mail, chats, forms
pipeline_idintID of the pipeline containing the incoming lead
created_atintDate and time when the incoming lead was created, expressed as a Unix timestamp
metadataobjectIncoming lead metadata. Available parameters depend on the incoming lead category
account_idintID of the account associated with the incoming lead
_embeddedobjectEmbedded entities data
_embedded[contacts]arrayArray containing one contact object associated with the incoming lead.
_embedded[0]objectContact object
_embedded[0][contacts][id]intContact ID
_embedded[companies]arrayArray containing one company object associated with the incoming lead.
_embedded[0]objectCompany object
_embedded[0][companies][id]intCompany ID
_embedded[leads]arrayArray containing one lead object linked to the incoming lead.
_embedded[0]objectLead object
_embedded[0][leads][id]intLead ID
Query Params
int32

A page of response

int32

The number of entities returned per request (limit – 250)

filter[uid]
array of strings

Filter by the incoming lead UID. Either a single UID or an array of UIDs can be passed

filter[uid]
filter[category]
array of strings

Filter by the incoming leads categories (sip, mail, forms, chats)

filter[category]
int32

Filter by the pipeline ID

string
enum

Sorting the results. Available values for sorting: asc, desc

Allowed:
Headers
string
enum
Defaults to application/hal+json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/hal+json
application/problem+json